My Project: dgHACDCluster Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgHACDCluster Class Reference
Inheritance diagram for dgHACDCluster:

## Public Member Functions

| dgHACDCluster ()
bool | IsCoplanar (const dgBigPlane &plane, const dgMeshEffect &mesh, dgFloat64 tolerance) const
Public Member Functions inherited from dgList< dgHACDClusterFace >
| dgList (dgMemoryAllocator *const allocator)
virtual | ~dgList ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgListNode * | GetLast () const
dgListNode * | GetFirst () const
dgListNode * | Append ()
dgListNode * | Append (dgListNode *const node)
dgListNode * | Append (const dgHACDClusterFace &element)
dgListNode * | Addtop ()
dgListNode * | Addtop (dgListNode *const node)
dgListNode * | Addtop (const dgHACDClusterFace &element)
void | RotateToEnd (dgListNode *const node)
void | RotateToBegin (dgListNode *const node)
void | InsertAfter (dgListNode *const root, dgListNode *const node)
void | InsertBefore (dgListNode *const root, dgListNode *const node)
dgListNode * | Find (const dgHACDClusterFace &element) const
dgListNode * | GetNodeFromInfo (dgHACDClusterFace &m_info) const
void | Remove (dgListNode *const node)
void | Remove (const dgHACDClusterFace &element)
void | RemoveAll ()
void | Merge (dgList< dgHACDClusterFace > &list)
void | Unlink (dgListNode *const node)
bool | SanityCheck () const

## Public Attributes

dgInt32 | m_color
dgInt32 | m_hierachicalClusterIndex
dgFloat64 | m_area
dgFloat64 | m_concavity

## Constructor & Destructor Documentation

## § dgHACDCluster()

dgHACDCluster::dgHACDCluster | ( |  | ) |

inline

## Member Function Documentation

## § IsCoplanar()

bool dgHACDCluster::IsCoplanar | ( | const dgBigPlane & | plane,
|  | const dgMeshEffect & | mesh,
|  | dgFloat64 | tolerance
| ) |  | const

inline

## Member Data Documentation

## § m_area

dgFloat64 dgHACDCluster::m_area

## § m_color

dgInt32 dgHACDCluster::m_color

## § m_concavity

dgFloat64 dgHACDCluster::m_concavity

## § m_hierachicalClusterIndex

dgInt32 dgHACDCluster::m_hierachicalClusterIndex

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/meshUtil/dgMeshEffect3.cpp